<?php
ob_start();
session_start();
require "connect.php";


if(isset($_POST['editar'])) {
  $id 			= $_POST['id'];
  $ds_tipo	 	= trim($_POST['ds_tipo']);
  $st_ativo		= 1;

  $sql = "update clientes_tipo set ds_tipo 		= '$ds_tipo'
							      ,st_ativo  	=  $st_ativo";
  $sql .= " where id = $id";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  header("Location:clientes_tipo_list.php");
}


if(isset($_POST['excluir'])) {
  $id 			= $_POST['id'];
  $sql = "update clientes_tipo set st_ativo = 0";
  $sql .= " where id = $id";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  
  header("Location:clientes_tipo_list.php");
}



if(isset($_POST['adicionar'])) {
//Recebendo parametros do Form
  $ds_tipo		= trim($_POST['ds_tipo']);
  $st_ativo		= 1;
  
//Elaborando query para insert 
  $sql = "insert into clientes_tipo (ds_tipo, st_ativo) values ('$ds_tipo', $st_ativo )";

//Preparando statement
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);

//Executando o insert  
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

//Voltando para lista
  header("Location:clientes_tipo_list.php");

}
?>